psa_hash_operation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_hash_operation_s:
[legend]

## Data Fields

unsigned int | id
psa_driver_hash_context_t | ctx

## Detailed Description

Definition at line 83 of file crypto_struct.h.

## Field Documentation

## ctx

psa_driver_hash_context_t psa_hash_operation_s::ctx

Definition at line 92 of file crypto_struct.h.

## id

unsigned int psa_hash_operation_s::id

Unique ID indicating which driver got assigned to do the operation. Since driver contexts are driver-specific, swapping drivers halfway through the operation is not supported. ID values are auto-generated in psa_driver_wrappers.h. ID value zero means the context is not valid or not assigned to any driver (i.e. the driver context is not active, in use).

Definition at line 91 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h